> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create statements for account

> Return the list of the completed transactions for the client accounts in



## OpenAPI

````yaml post /v1/accounts/{accountId}/statements
openapi: 3.0.0
info:
  title: FinHost WLB Client API
  description: WLB Client REST API openApi 3.0 specification
  contact:
    email: odv4mail@gmail.com
  version: 1.0.0
servers:
  - url: https://client-api.dev.finhost.io
  - url: https://client-api.stage-v2.finhost.io
  - url: https://client-api-atlaspay-prod.finhost.io
security: []
tags:
  - name: Client
    description: Information about service clients
  - name: Sumsub
    description: KYC service
  - name: Contract
    description: Operations with clients contracts
  - name: Account
    description: Operations with clients accounts
  - name: Transfer
    description: Operations with clients assets
  - name: Recipient
    description: Operations with recipients
  - name: Statement
    description: List of the client statments
  - name: Company
    description: List of the client statments
paths:
  /v1/accounts/{accountId}/statements:
    post:
      tags:
        - Account
      summary: Create statements for account
      description: Return the list of the completed transactions for the client accounts in
      parameters:
        - name: accountId
          in: path
          description: Account id
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/accountId_statements_body'
      responses:
        '200':
          description: 200 response
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Transfer'
      security:
        - bearerAuth: []
components:
  schemas:
    accountId_statements_body:
      type: object
      properties:
        fromDate:
          type: string
          description: If not provided time of account creation taken
          example: '2023-11-20T08:34:39.343Z'
        toDate:
          type: string
          description: If not provided current time taken
          example: '2023-11-21T08:34:39.343Z'
        timezone:
          type: string
          example: '2'
    Transfer:
      required:
        - accountFrom
        - amount
        - operation
        - recipient
      properties:
        accountFrom:
          type: string
          description: System account from which assets will be send
          format: uuid
          example: 49eab26c-8788-4375-810c-9807aaf98234
        amount:
          minimum: 0
          type: number
          description: How many assets will be send
          example: 10
        operation:
          type: string
          description: Operation action
          example: internal
          enum:
            - internal
            - sepa
        companyId:
          type: string
          description: Company id
          example: 10eab26c-8788-4375-810c-9807aaf98210
        recipient:
          oneOf:
            - $ref: '#/components/schemas/PersonalLocalPayment'
            - $ref: '#/components/schemas/PersonalSepaOrSwiftPayment'
            - $ref: '#/components/schemas/BusinessSepaOrSwiftPayment'
            - $ref: '#/components/schemas/PersonalUKFasterPayment'
            - $ref: '#/components/schemas/BusinessUKFasterPayment'
            - $ref: '#/components/schemas/PersistedRecipient'
    PersonalLocalPayment:
      required:
        - accountTo
        - recipient
      properties:
        recipient:
          type: string
          description: Recipient identifier (as system client)
          format: uuid
          example: 39eab26c-8788-4375-810c-9807aaf98191
        accountTo:
          type: string
          description: System account to which money will income
          format: uuid
          example: 49eab26c-8788-4375-810c-9807aaf98234
    PersonalSepaOrSwiftPayment:
      maxProperties: 20
      minProperties: 6
      required:
        - bicSwift
        - email
        - iban
        - name
        - surname
      type: object
      properties:
        iban:
          type: string
          description: Recipient  IBAN
          example: GB33BUKB20201555555555
        bicSwift:
          type: string
          description: Recipient bic swift
          example: PAYRGB2LXXX
        email:
          type: string
          description: Recipient email
          example: mail@domain.com
        name:
          type: string
          description: Recipient first name
          example: Taras
        surname:
          type: string
          description: Recipient last name
          example: Bulba
        bankName:
          type: string
          description: Recipient bank name
          example: Monobank
        street:
          type: string
          description: Recipient street
          example: Example str.
        houseNumber:
          type: string
          description: Recipient house number
          example: '10'
        refinement:
          type: string
          description: Recipient refinement
          example: n. 5
        city:
          type: string
          description: Recipient city
          example: Brooklyn
        region:
          type: string
          description: Recipient city
          example: NY
        country:
          type: string
          description: Recipient country
          example: US
        postCode:
          type: string
          description: Recipient country
          example: '513'
        reference:
          type: string
          description: Payment reference
          example: May salary
      additionalProperties: true
    BusinessSepaOrSwiftPayment:
      maxProperties: 5
      minProperties: 5
      required:
        - bicSwift
        - companyName
        - email
        - iban
      properties:
        iban:
          type: string
          description: Recipient  IBAN
          example: GB33BUKB20201555555555
        bicSwift:
          type: string
          description: Recipient bic swift
          example: PAYRGB2LXXX
        email:
          type: string
          description: Recipient email
          example: mail@domain.com
        companyName:
          type: string
          description: Recipient company name
          example: Horns and hooves
    PersonalUKFasterPayment:
      maxProperties: 6
      minProperties: 6
      required:
        - accountNumber
        - email
        - name
        - sortCode
        - surname
      properties:
        accountNumber:
          type: string
          description: Recipient  account number
          example: '45564658'
        sortCode:
          type: string
          description: Recipient sort code
          example: '948539'
        email:
          type: string
          description: Recipient email
          example: mail@domain.com
        name:
          type: string
          description: Recipient first name
          example: Taras
        surname:
          type: string
          description: Recipient last name
          example: Bulba
    BusinessUKFasterPayment:
      maxProperties: 5
      minProperties: 5
      required:
        - accountNumber
        - companyName
        - email
        - sortCode
      properties:
        accountNumber:
          type: string
          description: Recipient  account number
          example: '45564658'
        sortCode:
          type: string
          description: Recipient sort code
          example: '948539'
        email:
          type: string
          description: Recipient email
          example: mail@domain.com
        companyName:
          type: string
          description: Recipient company name
          example: Horns and hooves
    PersistedRecipient:
      maxProperties: 1
      minProperties: 1
      required:
        - recipientKey
      properties:
        recipientKey:
          type: string
          description: Unique key for the recipient based on date
          example: recipient#UKLT#GBP#1660831535
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````